
Katello - Bug #4636

Katello should extend the Redhat Model, vs the Operating System model

03/11/2014 08:55 PM - Ohad Levy

Status: Closed   

Priority: Normal   

Assignee: Joseph Magen   

Category: Hosts   

Target version: Katello 2.0   

Difficulty: easy Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1112816 Red Hat JIRA:  

Pull request:    

Description

The redhat model is the relevant model that we want to extend, leaving other os type.

see https://github.com/theforeman/foreman_content/blob/master/lib/content/engine.rb#L32 for old reference

Related issues:

Is duplicate of Katello - Bug #6156: move OperatingsystemExtensions to Redhat... Duplicate 06/11/2014

Associated revisions

Revision 7924fd56 - 06/12/2014 05:37 AM - Joseph Magen

fixes #4636 - refactor OperatingsystemExtensions to RedhatExtensions and refactor MediumExtensions

Revision f3771616 - 06/18/2014 12:37 AM - Justin Sherrill

Merge pull request #4246 from isratrade/6156

fixes #4636 - refactor OperatingsystemExtensions to RedhatExtensions and refactor MediumExtensions

History

#1 - 06/04/2014 12:57 AM - Eric Helms

- Category set to 83

- Target version set to 45

- Difficulty set to easy

- Triaged set to Yes

#2 - 06/12/2014 07:34 AM - Joseph Magen

- Status changed from New to Ready For Testing

- Assignee set to Joseph Magen

https://github.com/Katello/katello/pull/4246

#3 - 06/15/2014 12:10 PM - Ohad Levy

- Is duplicate of Bug #6156: move OperatingsystemExtensions to RedhatExtensions added

#4 - 06/16/2014 12:19 PM - Eric Helms

- Target version changed from 45 to 48

#5 - 06/18/2014 12:52 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100
https://github.com/theforeman/foreman_content/blob/master/lib/content/engine.rb#L32
https://github.com/Katello/katello/pull/4246


Applied in changeset katello|commit:7924fd5645785eda8dc3144e458330dbd4900516.

#6 - 06/24/2014 03:51 PM - Eric Helms

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1112756

#7 - 06/24/2014 06:06 PM - Justin Sherrill

- Bugzilla link changed from https://bugzilla.redhat.com/show_bug.cgi?id=1112756 to https://bugzilla.redhat.com/show_bug.cgi?id=1112816

#8 - 08/21/2014 02:30 PM - Eric Helms

- translation missing: en.field_release set to 13
